incubator-any23-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lewis John McGibbney (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ANY23-37) LGPL'ed components cannot be included in distribution packages
Date Sat, 11 Feb 2012 14:27:59 GMT

    [ https://issues.apache.org/jira/browse/ANY23-37?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13206132#comment-13206132
] 

Lewis John McGibbney commented on ANY23-37:
-------------------------------------------

This is critical. Does anyone have suggestions to get this sorted? It's this kind of stuff
we need to deal with if we want to shift 0.7.0? No?...

Also where exactly is this dependency managed or even specified? I can't find it. Thanks
                
> LGPL'ed components cannot be included in distribution packages
> --------------------------------------------------------------
>
>                 Key: ANY23-37
>                 URL: https://issues.apache.org/jira/browse/ANY23-37
>             Project: Apache Any23
>          Issue Type: Bug
>            Reporter: Simone Tripodi
>            Priority: Critical
>
> While reviewing dependencies license, I noticed that the it.unimi.dsi:dsiutils:2.0.1
transitive dependency is released under LGPL release, so it cannot be included in the non-maven
binary archives.
> A first turnaround solution could be avoiding it is included and reporting it in the
README.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message